package leigh.minecraft;

/**
 * Utility routines for dealing with Minecraft blocks.
 *
 * @author Alex Leigh
 */
public class BlockUtils {
    /**
     * Returns <code>true</code> if the block is a leaf, a log, or mycellium.
     */
    public static boolean isTree(String name) {
        if (name.contains("leaves")) return true;
        if (name.contains("log")) return true;
        if (name.contains("mycellium")) return true;
        return false;
    }

    public static boolean isAir(String name) {
        if (name.contains("air")) return true;
        return false;
    }
}
